<?php
abstract class Emoji {       
	abstract function getEmojiByName($name);
}

	class EmojiDoCoMo extends Emoji {
		public function getEmojiByName($name)
		{
			switch ($name) {
				case '1': 
					return pack('H*', 'F987');// $name 1ɑΉDoCoMoGԂ
				case '2':
					return pack('H*', 'F988');// $name 2ɑΉDoCoMoGԂ
				case '3':
					return pack('H*', 'F989');// $name 3ɑΉDoCoMoGԂ
				default:
					return '?';
			}
		}
	}

class EmojiSoftBank extends Emoji {       
	public function getEmojiByName($name) {
		$code = '';
		switch ($name) {
			case '1':
				$code = '$F<';
				break;
			case '2':
				$code = '$F=';
				break;
			case '3':
				$code = '$F>';
				break;
		}
		if ($code) {
			return pack('C*', 0x1B) . $code . pack('C*', 0x0F);// SoftBankGԂ
		} else {
			return '?';
		}
	}
}

class EmojiAu extends Emoji {
	public function getEmojiByName($name) {
		switch ($name) {
			case '1':
				return pack('H*', 'F6FB');// $name 1ɑΉauGԂ
			case '2':
				return pack('H*', 'F6FC');// $name 2ɑΉauGԂ
			case '3':
				return pack('H*', 'F740');// $name 3ɑΉauGԂ
			default:
				return '?';
		}
	}
}

class EmojiEtc extends Emoji {
	function getEmojiByName($name) {
		return '[' . $name . ']';// ̑ɕ\ׂ̑ւeLXgԂ
	}
}
?>
