<?php
$max_process_cnt = 4;
$cmd_path = "/usr/local/bin/php";
$args = array(
	dirname(__FILE__) . '/list-11.php'
);

$exec_child_proc_info = array();
$user_idl = array(1001, 1002, 1003, 1004, 1005);
print_r($user_idl);

foreach ($user_idl as $user_id) {
	switch ($pid = pcntl_fork()) {
	case -1:
		echo 'Cannot foke';
		exit(0);
	case 0:
		$args[1] = sprintf('-u %d', $user_id);
		pcntl_exec($cmd_path, $args);
		exit(0);
	default:
		$exec_child_proc_info[$pid] = array(
			'pid'     => $pid,
			'user_id' => $user_id,
		);
		if (count($exec_child_proc_info) >= $max_process_cnt) {
			$end_child_pid = pcntl_wait($status);
			unset($exec_child_proc_info[$end_child_pid]);
		}
	}
}

while(($end_child_pid = pcntl_wait($status)) > 0) {
	unset($exec_child_proc_info[$end_child_pid]);
}
?>